package com.njcn.product.system.fileOperate.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class FileVO implements Serializable {

    //全名 路径+文件名
    private String name;
    //文件名
    private String fileName;

    private String url;
    public FileVO(String name, String url){
        this.name = name;
        this.fileName = getFileName(name);
        this.url = url;

    }
    public static String getFileName(String filePath) {
        int index = filePath.lastIndexOf("/");
        if (index == -1) {
            return filePath; // 如果没有/，则返回整个路径
        } else {
            return filePath.substring(index + 1); // 截取最后一个/后面的部分作为文件名
        }
    }

}
